### Method

# Foundry TextDocument when_changed

#### Declaration [src]

    DexFuture*
    foundry_text_document_when_changed (
      FoundryTextDocument* self
    )

#### Description [src]

This function will resolve a new `DexFuture` when the underlying `FoundryTextBuffer` has changed.

Use this to invalidate external resources that rely on the contents of the document buffer.

This notification is done after a short delay to avoid spurious events during rapid modification to the buffer.

If the document is dispoed, this future will reject with error.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.